package cart;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

public class CartDAO {

				// 데이터베이스 연결 관련 변수 선언
				Connection conn = null;   //프로그램과 데이터베이스를 연결
				PreparedStatement pstmt = null;	  //    //쿼리를 실행
				ResultSet rs = null;	          //   쿼리 실행결과를 담음
				
				// 데이터베이스 연결관련 정보를 문자열로 선언
				String driver = "com.mysql.jdbc.Driver";
				String url = "jdbc:mysql://db.asin21.com:3306/db_demo07";
				
				
				public void conn() {
					try {
						Class.forName(driver);
						conn = DriverManager.getConnection(url, "demo07", "demo07!");
						System.out.println("Database Connect Success!!");
					} catch (Exception e) {
						e.printStackTrace();
						System.out.println("Database Connect Fail!!");
					}
					
				}
				public void disconn() {
					try {
						if(rs != null) {
							rs.close();
						}
						if(pstmt != null) {
							pstmt.close();
						}
						if(conn != null) {
							conn.close();
						}
					} catch (Exception e) {
						e.printStackTrace();
					}
				}
				
				public void setCart(int member_no, String product_name) {
					conn();
					
					try {
						pstmt = conn.prepareStatement("insert into cart values(null, ?, ?)");
						pstmt.setInt(1, member_no);
						pstmt.setString(2, product_name);
						pstmt.executeUpdate();
						
						
					} catch (Exception e) {
						e.printStackTrace();
					}
					disconn();
				}
		
}




