package config;

import java.io.IOException;
import java.sql.Connection;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.annotation.WebFilter;

/**
 * Servlet Filter implementation class EncordingFiter
 */
@WebFilter("/*")
public class EncodingFiter implements Filter {
	
	final private String charset = "utf-8";

    /**
     * Default constructor. 
     */
    public EncodingFiter() {
    	
        System.out.println("Fiter Created!");
        
    }

	/**
	 * @see Filter#destroy()
	 */
	public void destroy() {
		
		System.out.println("System Down!");
		
	}

	/**
	 * @see Filter#doFilter(ServletRequest, ServletResponse, FilterChain)
	 */
	public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException {

		System.out.println("서블릿 요청이 있을 때마다 실행");		
		
		request.setCharacterEncoding(charset);
		response.setContentType("text/html; charset=utf-8");
		response.setCharacterEncoding(charset);
		
		chain.doFilter(request, response);
	}

	/**
	 * @see Filter#init(FilterConfig)
	 */
	public void init(FilterConfig fConfig) throws ServletException {
		
		System.out.println("system Start");
		Connection conn = Database.getConnection();
		if(conn != null){
			System.out.println(conn + " : DB Connention Success!");
		}else {
			System.out.println("DB Connention Fail!!");
		}	
	}
}







