package cart;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

public class LoginDAO {

	// 데이터베이스 연결 관련 변수 선언
		Connection conn = null;   //프로그램과 데이터베이스를 연결
		PreparedStatement pstmt = null;	  //    //쿼리를 실행
		ResultSet rs = null;	          //   쿼리 실행결과를 담음
		
		// 데이터베이스 연결관련 정보를 문자열로 선언
		String driver = "com.mysql.jdbc.Driver";
		String url = "jdbc:mysql://db.asin21.com:3306/db_demo07";
		
		
		public void conn() {
			try {
				Class.forName(driver);
				conn = DriverManager.getConnection(url, "demo07", "demo07!");
				System.out.println("Database Connect Success!!");
			} catch (Exception e) {
				e.printStackTrace();
				System.out.println("Database Connect Fail!!");
			}
			
		}
		public void disconn() {
			try {
				if(rs != null) {
					rs.close();
				}
				if(pstmt != null) {
					pstmt.close();
				}
				if(conn != null) {
					conn.close();
				}
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
		
		//login function
		public boolean getLogin(String userid, String userpw) {
			LoginDTO login = new LoginDTO();
			conn();
			
			try {
				pstmt = conn.prepareStatement("select * from member where id=? and pw=?");
				pstmt.setString(1, userid);
				pstmt.setString(2, userpw);
				rs = pstmt.executeQuery();
				rs.next();
				
				login.setNo(rs.getInt("no"));
				login.setId(rs.getString("id"));
				login.setPw(rs.getString("pw"));
				return true;
				
			} catch (Exception e) {
				System.out.println(e);
				disconn();
				return false;
			}
			
		}
		
		//getting no function
		public int getMemberNo(String userid, String userpw) {
			int result = 0;
			conn();
			
			try {
				pstmt = conn.prepareStatement("select no from member where id=? and pw=?");
				pstmt.setString(1, userid);
				pstmt.setString(2, userpw);
				rs = pstmt.executeQuery();
				rs.next();
				result = rs.getInt("no");
			} catch (Exception e) {
				e.printStackTrace();
			}
			disconn();
			return result;
		}
		
}










